/**
 * The home controller
 * 
 * @param {$scope} $scope The $scope service from angular
 */
mainApp.controller('machineDetailsCtrl', [ '$scope', 'Compute', '$rootScope', '$timeout', function ($scope, Compute, $rootScope, $timeout)
{

	$scope.machine={};
	$("#waitingForToggleMachine").hide();

	$scope.$on('showMachineDetailsEvent', function(eventName ,machine){
		$scope.machine=machine;
		$('#machineDetailsModal').modal({backdrop: false, keyboard: true});
	});


	$scope.toggleMachineState=function(){
		$("#waitingForToggleMachine").show();

		// Fake timeout
		$timeout(function(){
		$("#waitingForToggleMachine").hide();	
		}, 3000);
		$timeout(function(){
		$scope.machine.online=!$scope.machine.online;

		}, 3000);

		
	};

	$scope.applyModifications=function(){
		//Todo
	}
	

	
}]);
